GET /api/v3/vendor/{vendorId}/contract

Retrieves all Contracts for a particular vendor. Contracts are not supported in EnergyCAP Version 7, this API is for reading existing contracts only and may be removed in the future.

GetVendorContractsV3 Permissions: VendorsAndRatesModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
vendorId The vendor identifier for which Contracts are being retrieved integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

VendorContractResponse
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
contractCode The contract code string
contractId The contract identifier integer (int32)
contractInfo The contract info string
expirationDate The expiration date of the contract string (date-time)
isGreenEnergy Is this a Green Energy contract boolean
notes Contract notes string
renewalReminderDate The date a reminder will be sent for the contract expiration string (date-time)
startDate The start date of the contract string (date-time)
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
Example Response application/json
[
  {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "contractCode": "string",    "contractId": 1,    "contractInfo": "string",    "expirationDate": "2026-03-30",    "isGreenEnergy": false,    "notes": "string",    "renewalReminderDate": "2026-03-30",    "startDate": "2026-03-30",    "vendor": {      "vendorCode": "string",      "vendorId": 1,      "vendorInfo": "string"
    }
  }
]